import { ref, reactive } from 'vue'
import { ElMessage } from 'element-plus'
import router from '@/router'
// 接口
import { LoginStore } from '@/stores/login'
const loginStore = LoginStore()

// 表单
/**
 * 表单对象
 */
const formRef = ref()
/**
 * 表单model
 */
const form = ref({ type: 'Admin' })
/**
 * 输入规则
 */
const rules = reactive({
  account: [{ required: true, message: '请输入登录账号', trigger: 'blur' }],
  password: [{ required: true, message: '请输入账号密码', trigger: 'blur' }]
})

/**
 * 提交登录
 */
const toSave = async (formEl) => {
  if (!formEl) return
  await formEl.validate((valid) => {
    if (valid) {
      toLogin(form.value)
    } else {
      console.log('error submit!')
    }
  })
}
const toLogin = async (data) => {
  const res = await loginStore.login(data)
  if (res.errcode == '0') {
    ElMessage({ message: `登录成功`, type: 'success' })
    localStorage.setItem('token', `${res.data}`)
    // 路由
    router.push({ path: '/' })
  } else {
    ElMessage({ message: `${res.errmsg}`, type: 'error' })
  }
}
export { toSave, formRef, form, rules }
